<app-navbar></app-navbar>
<div>
    <div *ngIf="currentLivre._id" class="edit-form">

      <form>
        <div class="form-group">
          <label for="title">Titre</label>
          <input
            type="text" 
            class="form-control"
            id="title"
            [(ngModel)]="currentLivre.titre"
            name="title"
          />
        </div>
        <div class="form-group">
            <label for="auteurs">Auteurs</label>
            <input
              type="text"
              class="form-control"
              id="auteurs"
              required
              [(ngModel)]="currentLivre.auteurs"
              name="auteurs"
            />
          </div>

          <div class="form-group">
            <label for="datePublication">Date de publication</label>
            <input
              type="date"
              class="form-control"
              id="datePublication"
              required
              [(ngModel)]="currentLivre.datePublication"
              name="datePublication"
            />
          </div>

          <div class="form-group">
            <label for="genre">Genre</label>
            <input
              type="text"
              class="form-control"
              id="genre"
              required
              [(ngModel)]="currentLivre.genre"
              name="genre"
            />
          </div>

          <div class="form-group">
            <label for="quatriemePage">Description</label>
            <input
              type="text"
              class="form-control"
              id="quatriemePage"
              required
              [(ngModel)]="currentLivre.quatriemePage"
              name="quatriemePage"
            />
          </div>
  
        <div class="form-group">
          <label for="prix">Prix</label>
          <input
            class="form-control"
            id="prix"
            required
            [(ngModel)]="currentLivre.prix"
            name="prix"
          />
        </div>

        <div class="form-group">
          <label for="quantite">Quantité</label>
          <input
            class="form-control"
            id="quantite"
            required
            [(ngModel)]="currentLivre.quantite"
            name="quantite"
          />
        </div>
        
      </form>
    </div>
    <button class="badge badge-danger mr-2" (click)="deleteLivre()">
        Delete
      </button>
      <button
      type="submit"
      class="badge badge-success mb-2"
      (click)="updateLivre()"
    >
      Update
    </button>
    <p>{{ message }}</p>
</div>

  